
QGIS Application - Bug report #401

Crash when closing a data table for shapefiles.

2006-11-20 02:29 AM - christian-geosci-usyd-edu-au -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10460

Description

QGIS v 0.8 prev2 crashes a lot when working with shapefiles - either during load or when opening/closing data tables.

Mac OS X crash log below.

Cheers,

Christian

Date/Time:      2006-11-20 21:15:06.553 +1100

OS Version:     10.4.8 (Build 8L127)

Report Version: 4

Command: qgis

Path:    /Applications/qgis.app/Contents/MacOS/qgis

Parent:  [[WindowServer]] r59

Version: 0.8.0 (5824) (0.8.0-Preview-2)

PID:    6651

Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)

Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x000000b8

Thread 0 Crashed:

0   [[QtGui]]                              0x0103acfc QWidget::testAttribute_helper(Qt::WidgetAttribute) const + 32

1   [[QtGui]]                              0x010421f8 QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) + 332

2   [[QtGui]]                              0x0104d51c QApplicationPrivate::do_mouse_down(QPoint const&, bool*) + 892

3   [[QtGui]]                              0x0104eca0 QApplicationPrivate::globalEventProcessor(OpaqueEventHandlerCallRef*,

[[OpaqueEventRef]]*, void*) + 4840

4   com.apple.HIToolbox                0x93207554 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*,

[[HandlerCallRec]]*) + 692

5   com.apple.HIToolbox                0x93206cac [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 372

6   com.apple.HIToolbox                0x9320da60 [[SendEventToEventTarget]] + 40

7   [[QtGui]]                              0x0105b408 QWidgetPrivate::qt_window_event(OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*,

void*) + 716

8   com.apple.HIToolbox                0x93207554 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*,

[[HandlerCallRec]]*) + 692

9   com.apple.HIToolbox                0x93206cac [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 372

10  com.apple.HIToolbox                0x9320da60 [[SendEventToEventTarget]] + 40
11  com.apple.HIToolbox                0x93299d78 [[HandleMouseEventForWindow]](OpaqueWindowPtr*, [[OpaqueEventRef]]*, unsigned

short) + 284

12  com.apple.HIToolbox                0x932992c0 [[HandleMouseEvent]](OpaqueEventRef*) + 368

13  com.apple.HIToolbox                0x9320ddcc [[ToolboxEventDispatcherHandler]](OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*,

void*) + 496

14  com.apple.HIToolbox                0x932077a4 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*,

[[HandlerCallRec]]*) + 1284

15  com.apple.HIToolbox                0x93206cac [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 372

16  com.apple.HIToolbox                0x9320da60 [[SendEventToEventTarget]] + 40

17  [[QtGui]]                              0x01048d48 QApplication::restoreOverrideCursor() + 396

18  [[QtGui]]                              0x01053f88 QCursor::handle() const + 5824

19  [[QtCore]]                             0x00663b10 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 72

20  [[QtCore]]                             0x00663e14 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 168

21  [[QtCore]]                             0x00667eac QCoreApplication::exec() + 204

22  org.qgis.qgis                      0x00007730 main + 12448

23  org.qgis.qgis                      0x000028dc start + 812

24  org.qgis.qgis                      0x000025e0 start + 48

Thread 1:

0   libSystem.B.dylib                  0x9002e88c kevent + 12

1   com.apple.DesktopServices          0x92875250 TFSNotificationTask::FSNotificationTaskProc(void*) + 56

2   ...ple.CoreServices.CarbonCore     0x90bc28b0 [[PrivateMPEntryPoint]] + 76

3   libSystem.B.dylib                  0x9002b508 _pthread_body + 96

Thread 2:

0   libSystem.B.dylib                  0x9002bbc8 semaphore_wait_signal_trap + 8

1   libSystem.B.dylib                  0x900306ac pthread_cond_wait + 480

2   ...ple.CoreServices.CarbonCore     0x90bc2aa0 MPWaitOnQueue + 224

3   com.apple.DesktopServices          0x928758cc TNodeSyncTask::SyncTaskProc(void*) + 116

4   ...ple.CoreServices.CarbonCore     0x90bc28b0 [[PrivateMPEntryPoint]] + 76

5   libSystem.B.dylib                  0x9002b508 _pthread_body + 96

Thread 3:

0   libSystem.B.dylib                  0x9001f08c select + 12

1   [[QtCore]]                             0x0065342c QFSFileEngine::drives() + 6260

2   [[QtCore]]                             0x005f7e50 QThreadStorageData::~QThreadStorageData [not-in-charge]() + 1488

3   libSystem.B.dylib                  0x9002b508 _pthread_body + 96

Thread 4:

0   libSystem.B.dylib                  0x9001f08c select + 12

1   com.apple.CoreFoundation           0x907ef40c +CFSocketManager + 472

2   libSystem.B.dylib                  0x9002b508 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:

  srr0: 0x000000000103acfc srr1: 0x100000000000f030                        vrsave: 0x0000000000000000

    cr: 0x28028204          xer: 0x0000000000000000   lr: 0x00000000010421f8  ctr: 0x00000000006681d4

    r0: 0x0000000000000001   r1: 0x00000000bfffeb20   r2: 0x0000000000000004   r3: 0x0000000018be2780

    r4: 0x000000000000000c   r5: 0x00000000000003e8   r6: 0xffffffffffffffff   r7: 0x00000000bfffe660

    r8: 0x0000000000000001   r9: 0x0000000000000000  r10: 0x00000000006681dc  r11: 0x0000000000000000

   r12: 0x00000000006681d4  r13: 0x0000000000000003  r14: 0x0000000000000000  r15: 0x00000000a32072b8

   r16: 0x0000000002c480d0  r17: 0x00000000bfffeeb0  r18: 0x000000006d6f7573  r19: 0x00000000bfffee34

   r20: 0x0000000000000002  r21: 0x0000000000000000  r22: 0x0000000000000000  r23: 0x0000000000000000
   r24: 0x00000000bfffec78  r25: 0x00000000002300b3  r26: 0x00000000bfffebec  r27: 0x0000000000000000

   r28: 0x000000001b847d20  r29: 0x0000000000000002  r30: 0x0000000018be2780  r31: 0x00000000010420bc

Binary Images Description:

    0x1000 -     0x9fff org.qgis.qgis 0.8.0 (5824) (0.8.0-Preview-2)    /Applications/qgis.app/Contents/MacOS/qgis

   0x19000 -    0x1ffff libgif.4.dylib     /Applications/qgis.app/Contents/MacOS/lib/libgif.4.dylib

   0x29000 -    0x2efff libSM.6.dylib     /usr/X11R6/lib/libSM.6.dylib

   0x58000 -    0x94fff [[QtNetwork]]     /Applications/qgis.app/Contents/MacOS/lib/QtNetwork.framework/Versions/4.0/QtNetwork

   0xb0000 -    0xe1fff [[QtXml]]     /Applications/qgis.app/Contents/MacOS/lib/QtXml.framework/Versions/4.0/QtXml

  0x205000 -   0x214fff libqgsprojectionselector.dylib     /Applications/qgis.app/Contents/MacOS/lib/qgis/libqgsprojectionselector.dylib

  0x2f8000 -   0x4dffff Qt3Support     /Applications/qgis.app/Contents/MacOS/lib/Qt3Support.framework/Versions/4.0/Qt3Support

  0x5f0000 -   0x766fff [[QtCore]]     /Applications/qgis.app/Contents/MacOS/lib/QtCore.framework/Versions/4.0/QtCore

  0x7d1000 -   0x7dffff libQtTest.4.dylib     /Applications/qgis.app/Contents/MacOS/lib/libQtTest.4.dylib

  0x7e5000 -   0x7f4fff libICE.6.dylib     /usr/X11R6/lib/libICE.6.dylib

 0x1008000 -  0x1385fff [[QtGui]]     /Applications/qgis.app/Contents/MacOS/lib/QtGui.framework/Versions/4.0/QtGui

 0x1513000 -  0x153efff [[QtSvg]]     /Applications/qgis.app/Contents/MacOS/lib/QtSvg.framework/Versions/4.0/QtSvg

 0x154f000 -  0x157efff libqgis_raster.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_raster.0.dylib

 0x1591000 -  0x15b3fff libqgis_legend.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_legend.0.dylib

 0x15ca000 -  0x161cfff libqgis_composer.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_composer.0.dylib

 0x1649000 -  0x168ffff libproj.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libproj.0.dylib

 0x169c000 -  0x189dfff libqgis_gui.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_gui.0.dylib

 0x1974000 -  0x19ccfff libqgis_core.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_core.0.dylib

 0x19fe000 -  0x1addfff libQtDesigner.4.dylib     /Applications/qgis.app/Contents/MacOS/lib/libQtDesigner.4.dylib

 0x1b8e000 -  0x1e22fff libgdal.1.dylib     /Applications/qgis.app/Contents/MacOS/lib/libgdal.1.dylib

 0x1f8e000 -  0x2222fff libxerces-c.27.dylib     /Applications/qgis.app/Contents/MacOS/lib/libxerces-c.27.dylib

 0x24a0000 -  0x25adfff libjasper-1.701.1.dylib     /Applications/qgis.app/Contents/MacOS/lib/libjasper-1.701.1.dylib

 0x274a000 -  0x2813fff libX11.6.dylib     /usr/X11R6/lib/libX11.6.dylib

 0x283c000 -  0x2858fff libgeotiff.1.dylib     /Applications/qgis.app/Contents/MacOS/lib/libgeotiff.1.dylib

 0x2865000 -  0x28b1fff libtiff.3.dylib     /Applications/qgis.app/Contents/MacOS/lib/libtiff.3.dylib

 0x28b8000 -  0x28e8fff libjpeg.62.dylib     /Applications/qgis.app/Contents/MacOS/lib/libjpeg.62.dylib

 0x28ed000 -  0x2926fff libpng.3.dylib     /Applications/qgis.app/Contents/MacOS/lib/libpng.3.dylib

 0x292e000 -  0x2951fff libpq.4.dylib     /Applications/qgis.app/Contents/MacOS/lib/libpq.4.dylib

 0x2959000 -  0x2a0cfff libgeos.2.dylib     /Applications/qgis.app/Contents/MacOS/lib/libgeos.2.dylib

 0x2a9f000 -  0x2b0ffff libsqlite3.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libsqlite3.0.dylib

 0x2b1d000 -  0x2b42fff [[QtSql]]     /Applications/qgis.app/Contents/MacOS/lib/QtSql.framework/Versions/4.0/QtSql

 0x2d65000 -  0x2d65fff libgrass_linkm.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_linkm.dylib

 0x2db9000 -  0x2dbbfff libgrass_vask.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_vask.dylib

 0x2fd7000 -  0x2fdffff libqjpeg.dylib     /Applications/qgis.app/Contents/MacOS/imageformats/libqjpeg.dylib

0x17cb9000 - 0x17cbffff ogr_GRASS.so     /Applications/qgis.app/Contents/MacOS/lib/gdalplugins/ogr_GRASS.so

0x17cc6000 - 0x17cc9fff libgrass_gmath.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_gmath.dylib

0x17ccc000 - 0x17ccffff libgrass_rtree.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_rtree.dylib

0x18010000 - 0x1801cfff libgrass_I.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_I.dylib

0x18023000 - 0x1805ffff libgrass_gis.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_gis.dylib

0x180ad000 - 0x180b2fff libgrass_datetime.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_datetime.dylib

0x180b6000 - 0x180bbfff libgrass_gproj.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_gproj.dylib

0x180bf000 - 0x180e4fff libgrass_vect.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_vect.dylib

0x180ef000 - 0x180f8fff libgrass_dbmibase.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_dbmibase.dylib

0x18100000 - 0x18105fff libgrass_dbmiclient.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_dbmiclient.dylib

0x1810b000 - 0x18118fff libgrass_dig2.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_dig2.dylib

0x1811e000 - 0x1812efff libgrass_dgl.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_dgl.dylib

0x18145000 - 0x1816cfff copyrightlabelplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/copyrightlabelplugin.so

0x18175000 - 0x181abfff delimitedtextplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/delimitedtextplugin.so

0x181b4000 - 0x181c4fff delimitedtextprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/delimitedtextprovider.so
0x181cd000 - 0x181eefff georefplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/georefplugin.so

0x18200000 - 0x1840dfff libgsl.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libgsl.0.dylib

0x1845a000 - 0x184b5fff libgslcblas.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libgslcblas.0.dylib

0x184bb000 - 0x1854bfff gpsimporterplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/gpsimporterplugin.so

0x18560000 - 0x18580fff gpxprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/gpxprovider.so

0x1858f000 - 0x185c5fff libexpat.1.dylib     /Applications/qgis.app/Contents/MacOS/lib/libexpat.1.dylib

0x185cb000 - 0x18703fff grassplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/grassplugin.so

0x18773000 - 0x1879cfff libqgisgrass.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgisgrass.0.dylib

0x187af000 - 0x187b5fff libgrass_shape.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_shape.dylib

0x187b8000 - 0x187bafff libgrass_form.dylib     /Applications/qgis.app/Contents/MacOS/lib/grass/libgrass_form.dylib

0x187bd000 - 0x187bffff grassprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/grassprovider.so

0x187c2000 - 0x187eafff gridmakerplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/gridmakerplugin.so

0x187f5000 - 0x18825fff libScaleBarplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/libScaleBarplugin.so

0x18830000 - 0x1885afff northarrowplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/northarrowplugin.so

0x18865000 - 0x18877fff ogrprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/ogrprovider.so

0x18880000 - 0x18893fff pggeoprocessingplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/pggeoprocessingplugin.so

0x1889e000 - 0x188d3fff postgresprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/postgresprovider.so

0x188e7000 - 0x1893efff spitplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/spitplugin.so

0x18957000 - 0x1898efff wmsprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/wmsprovider.so

0x198d5000 - 0x198dafff gdal_GRASS.so     /Applications/qgis.app/Contents/MacOS/lib/gdalplugins/gdal_GRASS.so

0x1bb2a000 - 0x1bb51fff libproj.dylib     /usr/local/lib/libproj.dylib

0x8fe00000 - 0x8fe51fff dyld 45.3    /usr/lib/dyld

0x90000000 - 0x901bcfff libSystem.B.dylib     /usr/lib/libSystem.B.dylib

0x90214000 - 0x90219fff libmathCommon.A.dylib     /usr/lib/system/libmathCommon.A.dylib

0x9021b000 - 0x90268fff com.apple.CoreText 1.0.2 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText

0x90293000 - 0x90344fff ATS    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x90373000 - 0x9072dfff com.apple.CoreGraphics 1.258.38 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics

s

0x907ba000 - 0x90893fff com.apple.CoreFoundation 6.4.6 (368.27)   

/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x908dc000 - 0x908dcfff com.apple.CoreServices 10.4 (?)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x908de000 - 0x909e0fff libicucore.A.dylib     /usr/lib/libicucore.A.dylib

0x90a3a000 - 0x90abefff libobjc.A.dylib     /usr/lib/libobjc.A.dylib

0x90ae8000 - 0x90b58fff com.apple.framework.IOKit 1.4 (?)    /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x90b6e000 - 0x90b80fff libauto.dylib     /usr/lib/libauto.dylib

0x90b87000 - 0x90e5efff com.apple.CoreServices.CarbonCore 681.7   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x90ec4000 - 0x90f44fff com.apple.CoreServices.OSServices 4.1   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x90f8e000 - 0x90fcffff com.apple.CFNetwork 4.0 (129.18)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x90fe4000 - 0x90ffcfff com.apple.WebServices 1.1.2 (1.1.0)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore

ore

0x9100c000 - 0x9108dfff com.apple.SearchKit 1.0.5   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x910d3000 - 0x910fdfff com.apple.Metadata 10.4.4 (121.36)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x9110e000 - 0x9111cfff libz.1.dylib     /usr/lib/libz.1.dylib
0x9111f000 - 0x912dafff com.apple.security 4.5 (28992)    /System/Library/Frameworks/Security.framework/Versions/A/Security

0x913d8000 - 0x913e1fff com.apple.DiskArbitration 2.1   

/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x913e8000 - 0x91410fff com.apple.SystemConfiguration 1.8.3   

/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x91423000 - 0x9142efff libgcc_s.1.dylib     /usr/lib/libgcc_s.1.dylib

0x91433000 - 0x9143bfff libbsm.dylib     /usr/lib/libbsm.dylib

0x9143f000 - 0x914bafff com.apple.audio.CoreAudio 3.0.4    /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x914f7000 - 0x914f7fff com.apple.ApplicationServices 10.4 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x914f9000 - 0x91531fff com.apple.AE 1.5 (297)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x9154c000 - 0x91619fff com.apple.ColorSync 4.4.4   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync

0x9166e000 - 0x916fffff com.apple.print.framework.PrintCore 4.6 (177.13)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x91746000 - 0x917fdfff com.apple.QD 3.10.21 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x9183a000 - 0x91898fff com.apple.HIServices 1.5.3 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices

0x918c7000 - 0x918ebfff com.apple.LangAnalysis 1.6.1   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis

0x918ff000 - 0x91924fff com.apple.FindByContent 1.5   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent

ent

0x91937000 - 0x91979fff com.apple.LaunchServices 181   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices

vices

0x91995000 - 0x919a9fff com.apple.speech.synthesis.framework 3.3   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis

ynthesis

0x919b7000 - 0x919f9fff com.apple.ImageIO.framework 1.5.0   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO

0x91a0f000 - 0x91ad7fff libcrypto.0.9.7.dylib     /usr/lib/libcrypto.0.9.7.dylib

0x91b25000 - 0x91b3afff libcups.2.dylib     /usr/lib/libcups.2.dylib

0x91b3f000 - 0x91b5dfff libJPEG.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib

G.dylib

0x91b63000 - 0x91bd2fff libJP2.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib

dylib

0x91be9000 - 0x91bedfff libGIF.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib

dylib

0x91bef000 - 0x91c4efff libRaw.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib

.dylib

0x91c53000 - 0x91c90fff libTIFF.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib

.dylib

0x91c97000 - 0x91cb0fff libPng.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib

dylib
0x91cb5000 - 0x91cb8fff libRadiance.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib

iance.dylib

0x91cba000 - 0x91cbafff com.apple.Accelerate 1.2.2 (Accelerate 1.2.2)   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x91cbc000 - 0x91da1fff com.apple.vImage 2.4   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage

0x91da9000 - 0x91dc8fff com.apple.Accelerate.vecLib 3.2.2 (vecLib 3.2.2)   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x91e34000 - 0x91ea2fff libvMisc.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x91ead000 - 0x91f42fff libvDSP.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x91f5c000 - 0x924e4fff libBLAS.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x92517000 - 0x92842fff libLAPACK.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x92872000 - 0x928fafff com.apple.DesktopServices 1.3.4   

/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x9293b000 - 0x92b66fff com.apple.Foundation 6.4.6 (567.27)   

/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x92c84000 - 0x92d62fff libxml2.2.dylib     /usr/lib/libxml2.2.dylib

0x92d82000 - 0x92e70fff libiconv.2.dylib     /usr/lib/libiconv.2.dylib

0x92f23000 - 0x92f23fff com.apple.Carbon 10.4 (?)    /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x92f25000 - 0x92f39fff com.apple.ImageCapture 3.0   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x92f51000 - 0x92f61fff com.apple.speech.recognition.framework 3.4   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition

0x92f6d000 - 0x92f82fff com.apple.securityhi 2.0 (203)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI

0x92f94000 - 0x9301bfff com.apple.ink.framework 101.2 (69)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x9302f000 - 0x9303afff com.apple.help 1.0.3 (32)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x93044000 - 0x93071fff com.apple.openscripting 1.2.5 (?)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x9308b000 - 0x9309bfff com.apple.print.framework.Print 5.0 (190.1)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x930a7000 - 0x9310dfff com.apple.htmlrendering 1.1.2   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering

0x9313e000 - 0x9318dfff com.apple.NavigationServices 3.4.4 (3.4.3)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices

0x931bb000 - 0x931d8fff com.apple.audio.SoundManager 3.9   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound

0x931ea000 - 0x931f7fff com.apple.CommonPanels 1.2.2 (73)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x93200000 - 0x9350dfff com.apple.HIToolbox 1.4.8 (?)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x9416c000 - 0x9422ffff com.apple.audio.toolbox.AudioToolbox 1.4.3   

/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x94281000 - 0x94281fff com.apple.audio.units.AudioUnit 1.4   

/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x946e5000 - 0x946f4fff libCGATS.A.dylib    
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib

CGATS.A.dylib

0x946fc000 - 0x94708fff libCSync.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib

CSync.A.dylib

0x9474e000 - 0x94766fff libRIP.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib

RIP.A.dylib

0x9476d000 - 0x94a3cfff com.apple.QuickTime 7.1.3    /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime

0x94aff000 - 0x94b70fff libstdc++.6.dylib     /usr/lib/libstdc++.6.dylib

0x94be3000 - 0x94c03fff libmx.A.dylib     /usr/lib/libmx.A.dylib

0x94f2c000 - 0x94f5bfff libssl.0.9.7.dylib     /usr/lib/libssl.0.9.7.dylib

0x94f6b000 - 0x94f88fff libresolv.9.dylib     /usr/lib/libresolv.9.dylib

0x9548d000 - 0x955bbfff edu.mit.Kerberos 5.5.23    /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x9698c000 - 0x969bafff libncurses.5.4.dylib     /usr/lib/libncurses.5.4.dylib

0x969ee000 - 0x96a04fff libJapaneseConverter.dylib     /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib

0x96a06000 - 0x96a26fff libKoreanConverter.dylib     /System/Library/CoreServices/Encodings/libKoreanConverter.dylib

0x96a34000 - 0x96a42fff libSimplifiedChineseConverter.dylib    

/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib

0x96a4a000 - 0x96a5dfff libTraditionalChineseConverter.dylib    

/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib

0x98a9b000 - 0x98b65fff org.python.python 2.3.3    /System/Library/Frameworks/Python.framework/Versions/2.3/Python

Model: [[PowerMac]]7,3, [[BootROM]] 5.2.4f1, 2 processors, [[PowerPC]] G5  (3.1), 2.7 GHz, 8 GB

History

#1 - 2006-11-21 12:48 PM - Martin Dobias

Please what is the version of Qt you're using? It seems to be a bug in Qt, reported here: 

http://www.trolltech.com/developer/task-tracker/index_html?method=entry&#38;id=115905

Regarding to Trolltech's task tracker this should be fixed in Qt 4.2. Please upgrade and retest.

#2 - 2006-12-01 02:37 PM - Gary Sherman

- Resolution set to fixed

- Status changed from Open to Closed

I'm pretty sure these issues are solved with upgrade to latest Qt and fixes that have been applied in SVN.

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
